Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-65572

Sass compiler should fall back to ruby sass when an UnsatisfiedLinkError is thrown

    Details

    • Type: Bug
    • Status: Verified
    • Resolution: Unresolved
    • Affects Version/s: 7.0.1 CE GA2
    • Fix Version/s: None
    • Component/s: Dev Tools
    • Labels:
      None
    • Fix Priority:
      3

      Description

      Steps to reproduce:

      1. On a CentOS 6 VM, navigate to the portal repository
      2. Build portal using ant all (or run the gradlew buildCSS task)

      Expected results:
      The bundle should compile

      Actual results:
      Errors are thrown:

           [exec] Note: Recompile with -Xlint:unchecked for details.
           [exec] :apps:document-library-google-docs:document-library-google-docs:jar
           [exec] :apps:knowledge-base:knowledge-base-service:buildCSS UP-TO-DATE
           [exec] :apps:knowledge-base:knowledge-base-service:processResources
           [exec] :apps:knowledge-base:knowledge-base-service:transpileJS SKIPPED
           [exec] :apps:knowledge-base:knowledge-base-service:configJSModules SKIPPED
           [exec] :apps:knowledge-base:knowledge-base-web:expandPortalCommonCSS
           [exec] :core:portal-bootstrap:copyLibs SKIPPED
           [exec] :core:portal-bootstrap:classes
           [exec] :core:portal-bootstrap:jar
           [exec] :apps:ip-geocoder:ip-geocoder-sample-web:deploy
           [exec] /var/lib/jenkins/workspace/liferay-master-bundle-build/repo/liferay-portal/modules/core/portal-security-pacl/src/main/java/com/liferay/portal/security/pacl/Reflection.java:44: warning: Reflection is internal proprietary API and may be removed in a future release
           [exec] 			sun.reflect.Reflection.getCallerClass(1);
           [exec] 			           ^
           [exec] /var/lib/jenkins/workspace/liferay-master-bundle-build/repo/liferay-portal/modules/core/portal-security-pacl/src/main/java/com/liferay/portal/security/pacl/Reflection.java:59: warning: Reflection is internal proprietary API and may be removed in a future release
           [exec] 			return sun.reflect.Reflection.getCallerClass(depth + 2);
           [exec] 			                  ^
           [exec] :apps:marketplace:marketplace-api:compileJava
           [exec] :apps:knowledge-base:knowledge-base-web:buildCSS
           [exec] :apps:knowledge-base:knowledge-base-markdown-converter:buildCSS UP-TO-DATE
           [exec] :apps:knowledge-base:knowledge-base-markdown-converter:processResources UP-TO-DATE
           [exec] :apps:knowledge-base:knowledge-base-markdown-converter:transpileJS SKIPPED
           [exec] :apps:knowledge-base:knowledge-base-markdown-converter:configJSModules SKIPPED
           [exec] :apps:knowledge-base:knowledge-base-markdown-converter:copyLibs SKIPPED
           [exec] :apps:knowledge-base:knowledge-base-markdown-converter:classes
           [exec] :apps:knowledge-base:knowledge-base-markdown-converter:jar
           [exec] :core:portal-bootstrap:deploy
           [exec] :apps:marketplace:marketplace-app-manager-web:compileJava
           [exec] Using native Sass compiler
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] Note: /var/lib/jenkins/workspace/liferay-master-bundle-build/repo/liferay-portal/modules/core/portal-security-pacl/src/main/java/com/liferay/portal/security/pacl/Reflection.java uses or overrides a deprecated API.
           [exec] Note: Recompile with -Xlint:deprecation for details.
           [exec] 2 warnings
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : :core:portal-security-pacl:buildCSS UP-TO-DATE
           [exec] :core:portal-security-pacl:processResources
           [exec] /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so:core:portal-security-pacl:transpileJS
           [exec] )
           [exec] :core:portal-security-pacl:transpileJS SKIPPED
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] :core:portal-security-pacl:configJSModules
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries27:core:portal-security-pacl:configJSModules SKIPPED
           [exec] :core:portal-security-pacl:copyLibs SKIPPED
           [exec] 90213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] :core:portal-security-pacl:classes
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (require:core:portal-security-pacl:jar
           [exec] d by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] # BridJ: dlopen error when loading /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so : /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.5' not found (required by /tmp/BridJExtractedLibraries2790213823195325928/libliferaysass.so)
           [exec] :apps:knowledge-base:knowledge-base-web:buildCSS FAILED
           [exec] Exception in thread "main" java.lang.UnsatisfiedLinkError: com.liferay.sass.compiler.jni.internal.libsass.LiferaysassLibrary.sassMakeFileContext(J)J
           [exec] 	at com.liferay.sass.compiler.jni.internal.libsass.LiferaysassLibrary.sassMakeFileContext(Native Method)
           [exec] 	at com.liferay.sass.compiler.jni.internal.libsass.LiferaysassLibrary.sassMakeFileContext(LiferaysassLibrary.java:1275)
           [exec] 	at com.liferay.sass.compiler.jni.internal.JniSassCompiler.createSassFileContext(JniSassCompiler.java:235)
           [exec] 	at com.liferay.sass.compiler.jni.internal.JniSassCompiler.compileFile(JniSassCompiler.java:91)
           [exec] 	at com.liferay.css.builder.CSSBuilder._parseSass(CSSBuilder.java:311)
           [exec] 	at com.liferay.css.builder.CSSBuilder._parseSassFile(CSSBuilder.java:325)
           [exec] 	at com.liferay.css.builder.CSSBuilder.execute(CSSBuilder.java:128)
           [exec] 	at com.liferay.css.builder.CSSBuilder.main(CSSBuilder.java:95)
           [exec] Note: /var/lib/jenkins/workspace/liferay-master-bundle-build/repo/liferay-portal/modules/apps/marketplace/marketplace-app-manager-web/src/main/java/com/liferay/marketplace/app/manager/web/portlet/MarketplaceAppManagerPortlet.java uses unchecked or unsafe operations.
           [exec] Note: Recompile with -Xlint:unchecked for details.
           [exec] Note: /var/lib/jenkins/workspace/liferay-master-bundle-build/repo/liferay-portal/modules/apps/knowledge-base/knowledge-base-api/src/main/java/com/liferay/knowledge/base/constants/KBPortletKeys.java uses or overrides a deprecated API.
           [exec] Note: Recompile with -Xlint:deprecation for details.
           [exec] Note: /var/lib/jenkins/workspace/liferay-master-bundle-build/repo/liferay-portal/modules/apps/knowledge-base/knowledge-base-api/src/main/java/com/liferay/knowledge/base/util/KnowledgeBaseUtil.java uses unchecked or unsafe operations.
           [exec] Note: Recompile with -Xlint:unchecked for details.
           [exec] 
           [exec] BUILD FAILED
           [exec] 
           [exec] Total time: 58.143 secs
           [exec] 
           [exec] FAILURE: Build failed with an exception.
           [exec] 
           [exec] * What went wrong:
           [exec] Execution failed for task ':apps:knowledge-base:knowledge-base-web:buildCSS'.
           [exec] > Process 'command '/opt/jdk1.7.0_79/bin/java'' finished with non-zero exit value 1
           [exec] 
           [exec] * Try:
           [exec] Run with --info or --debug option to get more log output.
           [exec] 
           [exec] * Exception is:
           [exec] org.gradle.api.tasks.TaskExecutionException: Execution failed for task ':apps:knowledge-base:knowledge-base-web:buildCSS'.
           [exec] 	at org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.executeActions(ExecuteActionsTaskExecuter.java:69)
           [exec] 	at org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.execute(ExecuteActionsTaskExecuter.java:46)
           [exec] 	at org.gradle.api.internal.tasks.execution.PostExecutionAnalysisTaskExecuter.execute(PostExecutionAnalysisTaskExecuter.java:35)
           [exec] 	at org.gradle.api.internal.tasks.execution.SkipUpToDateTaskExecuter.execute(SkipUpToDateTaskExecuter.java:64)
           [exec] 	at org.gradle.api.internal.tasks.execution.ValidatingTaskExecuter.execute(ValidatingTaskExecuter.java:58)
           [exec] 	at org.gradle.api.internal.tasks.execution.SkipEmptySourceFilesTaskExecuter.execute(SkipEmptySourceFilesTaskExecuter.java:52)
           [exec] 	at org.gradle.api.internal.tasks.execution.SkipTaskWithNoActionsExecuter.execute(SkipTaskWithNoActionsExecuter.java:52)
           [exec] 	at org.gradle.api.internal.tasks.execution.SkipOnlyIfTaskExecuter.execute(SkipOnlyIfTaskExecuter.java:53)
           [exec] 	at org.gradle.api.internal.tasks.execution.ExecuteAtMostOnceTaskExecuter.execute(ExecuteAtMostOnceTaskExecuter.java:43)
           [exec] 	at org.gradle.execution.taskgraph.DefaultTaskGraphExecuter$EventFiringTaskWorker.execute(DefaultTaskGraphExecuter.java:203)
           [exec] 	at org.gradle.execution.taskgraph.DefaultTaskGraphExecuter$EventFiringTaskWorker.execute(DefaultTaskGraphExecuter.java:185)
           [exec] 	at org.gradle.execution.taskgraph.AbstractTaskPlanExecutor$TaskExecutorWorker.processTask(AbstractTaskPlanExecutor.java:62)
           [exec] 	at org.gradle.execution.taskgraph.AbstractTaskPlanExecutor$TaskExecutorWorker.run(AbstractTaskPlanExecutor.java:50)
           [exec] 	at org.gradle.internal.concurrent.ExecutorPolicy$CatchAndRecordFailures.onExecute(ExecutorPolicy.java:54)
           [exec] 	at org.gradle.internal.concurrent.StoppableExecutorImpl$1.run(StoppableExecutorImpl.java:40)
           [exec] Caused by: org.gradle.process.internal.ExecException: Process 'command '/opt/jdk1.7.0_79/bin/java'' finished with non-zero exit value 1
           [exec] 	at org.gradle.process.internal.DefaultExecHandle$ExecResultImpl.assertNormalExitValue(DefaultExecHandle.java:367)
           [exec] 	at org.gradle.process.internal.DefaultJavaExecAction.execute(DefaultJavaExecAction.java:31)
           [exec] 	at org.gradle.api.tasks.JavaExec.exec(JavaExec.java:75)
           [exec] 	at com.liferay.gradle.plugins.css.builder.BuildCSSTask.exec(BuildCSSTask.java:70)
           [exec] 	at org.gradle.internal.reflect.JavaMethod.invoke(JavaMethod.java:75)
           [exec] 	at org.gradle.api.internal.project.taskfactory.AnnotationProcessingTaskFactory$StandardTaskAction.doExecute(AnnotationProcessingTaskFactory.java:227)
           [exec] 	at org.gradle.api.internal.project.taskfactory.AnnotationProcessingTaskFactory$StandardTaskAction.execute(AnnotationProcessingTaskFactory.java:220)
           [exec] 	at org.gradle.api.internal.project.taskfactory.AnnotationProcessingTaskFactory$StandardTaskAction.execute(AnnotationProcessingTaskFactory.java:209)
           [exec] 	at org.gradle.api.internal.AbstractTask$TaskActionWrapper.execute(AbstractTask.java:585)
           [exec] 	at org.gradle.api.internal.AbstractTask$TaskActionWrapper.execute(AbstractTask.java:568)
           [exec] 	at org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.executeAction(ExecuteActionsTaskExecuter.java:80)
           [exec] 	at org.gradle.api.internal.tasks.execution.ExecuteActionsTaskExecuter.executeActions(ExecuteActionsTaskExecuter.java:61)
           [exec] 	... 14 more
           [exec] 
           [exec]
      

      Note that this is more of a web developer/Liferay developer issue, and can be avoided by setting ```sass.compiler.class.name=ruby``` in build.properties:
      https://github.com/liferay/liferay-portal/blob/master/build.properties#L217

        Attachments

          Activity

            People

            • Votes:
              2 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Days since last comment:
                3 years, 1 week, 2 days ago

                Packages

                Version Package